# Uses of Class
org.apache.avro.Schema.Parser

Packages that use Schema.Parser
Package
Description
org.apache.avro
Avro kernel classes.

## Uses of Schema.Parser in org.apache.avro

Methods in org.apache.avro that return Schema.Parser
Modifier and Type
Method
Description
`Schema.Parser`
Schema.Parser.`addTypes(Iterable<Schema> types)`
Adds the provided types to the set of defined, named types known to this parser.
`Schema.Parser`
Schema.Parser.`addTypes(Map<String,Schema> types)`
Deprecated.
use addTypes(Iterable<Schema> types)
`Schema.Parser`
Schema.Parser.`setValidateDefaults(boolean validateDefaults)`
Enable or disable default value validation.